$breakpoints: ( "xsmall":"(min-width:0px) and (max-width: 320px)", "small":"(min-width: 321px) and (max-width: 639px)", "medium":"(min-width: 640px) and (max-width: 736px)", "large":"(min-width: 737px)", "large-below":"(max-width: 767px)");
@mixin respond-to($breakpoint) {
    $raw-query: map-get($breakpoints, $breakpoint);
    @if $raw-query {
        $query: if( type-of($raw-query)=="string", unquote($raw-query), inspect($raw-query));
        @media #{$query} {
            @content;
        }
    }
    @else {
        @error 'No value found for `#{$breakpoint}`. '+'Please make sure it is defined in `$breakpoints` map.';
    }
}

@mixin gradient-text($gradient, $bg: 'light') {
    @supports(mix-blend-mode: lighten) {
        display: inline-block;
        position: relative;
        &::before {
            content: '';
            display: block;
            position: absolute;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            background: unquote($gradient);
            pointer-events: none;
        }
        @if ($bg=='light') {
            color: #000;
            background: #fff;
            mix-blend-mode: multiply;
            &::before {
                mix-blend-mode: screen;
            }
        }
        @else {
            color: #fff;
            background: #000;
            mix-blend-mode: lighten;
            &::before {
                mix-blend-mode: multiply;
            }
        }
    }
}

@mixin input-forms($borderColor:#000000, $borderWidth:1px) {
    font-weight: bold;
    padding: 0;
    color: #000000;
    border-color: transparent;
    border-width: $borderWidth;
    height: (32/16)*1em;
    font-size: 1em;
    font-weight: bold;
    text-transform: uppercase;
    border-width: 0;
    border-bottom: 2px solid $borderColor;
}